.yt-video {
    position: relative;
    display: flex;
    padding-top: 56.25%;
    background: #000;
    overflow: hidden;
}

.yt-video-background {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%;
    transform: translate(-50%, -50%);
    pointer-events: none;
}

.yt-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
}
